From 6d9f4aab20245ac30ea1e222f268833ddd5d2284 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Apr 22 2020 23:39:44 +0000
Subject: [PATCH 326/2232] Add ui test for disallowed lifetimes


---

diff --git a/tests/ui/disallow_lifetime.rs b/tests/ui/disallow_lifetime.rs
new file mode 100644
index 0000000..ee39fef
--- /dev/null
+++ b/tests/ui/disallow_lifetime.rs
@@ -0,0 +1,13 @@
+#[cxx::bridge]
+mod ffi {
+    extern "C" {
+        type C;
+        fn f(&'static self);
+    }
+
+    extern "Rust" {
+        fn f(string: &'a String);
+    }
+}
+
+fn main() {}
diff --git a/tests/ui/disallow_lifetime.stderr b/tests/ui/disallow_lifetime.stderr
new file mode 100644
index 0000000..d7c42e4
--- /dev/null
+++ b/tests/ui/disallow_lifetime.stderr
@@ -0,0 +1,11 @@
+error: references with explicit lifetimes are not supported
+ --> $DIR/disallow_lifetime.rs:9:22
+  |
+9 |         fn f(string: &'a String);
+  |                      ^^^^^^^^^^
+
+error: references with explicit lifetimes are not supported
+ --> $DIR/disallow_lifetime.rs:5:14
+  |
+5 |         fn f(&'static self);
+  |              ^^^^^^^^^^^^^

